body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100vh !important;
    width: 100vw;
    margin: 0;
    font-family: Inter,sans-serif;
    background-color: #f4f4f4;
}

* {
    box-sizing: border-box;
}

fieldset {
    border: 0;
    margin: 0;
    min-width: 0;
	padding: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

.container {
    text-align: center;
    background: white;
    flex: 1;
    width: 100%;
}

.navbar {
    width: 100%;
    background: #333;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

.navbar .username {
    font-weight: bold;
    color: #f6f6f6;
    background-color: transparent;
    margin-left: 20px;
    border: solid 1px white;
    padding: 12px;
    border-radius: 8px;
}

.navbar form {
    color: white;
    background: #ff4b5c;
    text-decoration: none;
    padding: 5px 10px;
    border-radius: 5px;
}

.navbar #actions {
    position: relative;
}

.navbar #action-dropdown {
    position: absolute;
    align-items: center;
    display: none;
    flex-direction: column;
    padding: 12px;
    right: 0;
    gap: 12px;
    top: 105%;
    box-shadow: 9px 9px 30px 1px rgba(0,0,0,0.38);
    border-radius: 8px;
    border: solid 1px white;
    background-color: #333;
}

.navbar #action-dropdown.visible {
    display: flex;
}

.navbar #action-dropdown:hover {
    cursor: pointer;
}

#admin-gear {
    color: white;
}

#dashboard-link {
    color: white;
}

#login-btn {
    cursor: pointer;
    color: white;
    background-color: green;
    width: 100px;
    height: 30px;
    margin-top: 20px;
}

#logout {
    background: none;
    border: none;
    color: white;
    cursor: pointer;
    font-weight: bold;
}